//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ProcessCode.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ProcessCode"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="strict"/&gt;
 *     &lt;enumeration value="lax"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ProcessCode")
@XmlEnum
public enum ProcessCode {

    @XmlEnumValue("strict")
    STRICT("strict"),
    @XmlEnumValue("lax")
    LAX("lax");
    private final String value;

    ProcessCode(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProcessCode fromValue(String v) {
        for (ProcessCode c: ProcessCode.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
